import curses
from .mapdisplay import MapDisplay

class Display:
    def __init__(self, game, screen):
        self.screen = screen
        self.game = game
        self.mapDisplay = MapDisplay(game.m, game.settings, curses.LINES, curses.COLS * 4/5)
    
    def refresh(self):
        self.mapDisplay.refresh()
